> For the complete documentation index, see [llms.txt](https://docs.non-obvious.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.non-obvious.ai/sdks-guide/blockchain-sdks/tokenomics-sdk/transfervolary.md).

# transferVolary

## Description

The `transferVolary` function enables the transfer of Volary tokens from one wallet to another using the recipient's address, the amount of tokens to be transferred, and the sender's private key

## Parameters

<table><thead><tr><th>Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>address</code></td><td>string</td><td>The address of the recipient </td></tr><tr><td><code>amount</code></td><td>string</td><td>The amount of Volary tokens to be transferred</td></tr><tr><td><code>privateKey</code></td><td>string</td><td>The prvate key of he sender's wallet to sign the transaction</td></tr></tbody></table>

## Response

<table><thead><tr><th>Property</th><th width="130">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>receipt</code></td><td>object</td><td>Returns a transaction receipt object that has informatiob about the transfer tranaction</td></tr></tbody></table>

## Example Request and Response

### Prerequisites

Before making requests with NO.AI SDK, you must have it installed.

You can install NO.AI SDK using either **`npm`** or **`yarn`**. Use the following commands to install NO.AI SDK:

```jsx
npm install @nest25/tokenomics-lib
OR
yarn add @nest25/tokenomics-lib
```

### Request

Here is an example of how to make a `transferVolary` request using the NO.AI SDK:

```
// import Nest SDK library
const { volary } = require('@nest25/tokenomics-lib');
// private key of the account you want to use
const TEST_PRIVATE_KEY = 'your-private-key';
// address of the staking contract
const STAKING_CONTRACT_ADDRESS = '0x077e4F1496693B7c45128c436eF933ccaFe6d291';

// create a new instance of staking
const Volary = new volary();

async function main() {
  // transfer Volary to staking contract
  const result = await Volary.transferVolary(STAKING_CONTRACT_ADDRESS, '1', TEST_PRIVATE_KEY);
  // print the result
  console.log(result);
}
main();
```

### Response

```sh
  {
        type: 2,
        chainId: 8888,
        nonce: 75,
        maxPriorityFeePerGas: BigNumber { _hex: '0x59682f00', _isBigNumber: true },
        maxFeePerGas: BigNumber { _hex: '0xd09dc300', _isBigNumber: true },
        gasPrice: null,
        gasLimit: BigNumber { _hex: '0x91d3', _isBigNumber: true },
        to: '0x51d93eFc7a629C6c8e61de078d71b6E5c7F84B80',
        value: BigNumber { _hex: '0x00', _isBigNumber: true },
        data: '0xa9059cbb000000000000000000000000077e4f1496693b7c45128c436ef933ccafe6d2910000000000000000000000000000000000000000000000000de0b6b3a7640000',
        accessList: [],
        hash: '0x47c4b71c263293e04c0705c1e26f9bf0e4a10f784dea484dea30771e2c59aed9',
        v: 1,
        r: '0xa2912befef749788bb0e9f4905066ae2b1d9b0a9f1967ac0e10e52043076e4f7',
        s: '0x59bd5aee7c65313dc3a4980a977bdbc8c03081a6493cc46308cd04c758a1c387',
        from: '0x5712d28795106f0105C01e99A708d018C1d70E52',
        confirmations: 0,
        wait: [Function (anonymous)]
      }
```

## Use Cases

* **Token Holders:** The function can be used by Volary token holders to send Volary tokens to other Ethereum addresses.
* **Cryptocurrency Exchanges:** The function can be used by cryptocurrency exchanges that support Volary to facilitate the buying and selling of Volary tokens.
* **Decentralized Applications:** The function can be used by developers building decentralized applications that require the transfer of Volary tokens between wallets on the Ethereum blockchain.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.non-obvious.ai/sdks-guide/blockchain-sdks/tokenomics-sdk/transfervolary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
